html, body {
    padding: 0;
    margin: 0;
    height: 100vh;
    overflow: hidden;
}

body {
    padding: 40px
}
footer img {
    position:absolute;
    right: 10px;
    width: 80px;
    height: auto;
    
    
}
h1 {
    padding-top: 35px;
    position: relative;
    text-align: center;
    margin-top: 0;
}
h2 {
    font-size: 30px;
}
.bouton_mp {
    display: inline-block;
    padding: 5px;
    border: 1px solid #000;
    text-decoration: none;
    color: #000000;
    background-color: #cccccc;
    border-radius: 5px;
    position: absolute;
    left: 10px;
    top: 15px;
    z-index: 10 ;
    font-size: 18px;
}
header {
    background-color: rgb(187, 188, 188);
    position: relative;
    height: 120px;
    margin-top: -40px;
    margin-left: -40px;
    margin-right: -40px;    
}
main {
    height: calc(100vh - 220px);
    overflow-y: auto;
}
footer {
    background-color: rgb(187, 187, 187);
    position: relative;
    height: 100px;
    padding: 10px;
    clear: left;
    margin-left: -40px;
    margin-right: -40px;
}
.mini_bouton {
    border: 1px solid #000;
    text-decoration: none;
    padding: 2px 5px;

}
.mini_bouton:hover {
    background-color: rgb(255, 163, 163);
}
.menu {
    position: absolute;
    left: 20px;
    top:70px;
    text-transform: capitalize;
}
.menu strong {
    display: none;
}
.menu ul {
    
    display: flex;
    padding: 12px;
    margin:0;
    list-style-type: none;
    color: rgb(0, 0, 0);
    line-height: 1.6;
    flex-direction: row;
    gap: 7px;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;    cursor: pointer;
}


.menu:hover ul, .menu:hover ul:hover,
.menu.active ul {
    display: flex;
}

.menu ul a {
    color: #000000;
    font-weight: 700;
    text-decoration: none;
}

.menu ul a:hover {
    color:rgb(14, 61, 103);
    text-decoration: underline;
}

form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 20px;
}

label {
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="number"] {
    margin-bottom: 15px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 3px;
    width: 200px;
}

input[type="submit"] {
    padding: 8px 15px;
    background-color: #000000;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

input[type="submit"]:hover {
    background-color: #0056b3;
}
